%define subrel	1

Name:		pidgin-sipe
Version:	1.18.3
Release:	%mkrel 4
Summary:	Pidgin protocol (SIP/SIMPLE) plugin to connect to MS Office Communicator
License:	GPLv2+
Group:		Networking/Instant messaging
URL:		http://sipe.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/sipe/sipe/%{name}-%{version}/%{name}-%{version}.tar.bz2
Patch0:		0001-Fix-285-backport-for-1.18.x-1.19.x.patch
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	pkgconfig(purple)
BuildRequires:	pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:	pkgconfig(krb5)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(gstreamer-plugins-base-0.10)
BuildRequires:	pkgconfig(nice) >= 0.1.0
BuildRequires:	pkgconfig(nss)
BuildRequires:	pkgconfig(gmime-2.6)
BuildRequires:	pkgconfig(libgadu)

%description
A third-party plugin for the Pidgin multi-protocol instant messenger.
It implements the extended version of SIP/SIMPLE used by various products:

    * Microsoft Office 365
    * Microsoft Business Productivity Online Suite (BPOS)
    * Microsoft Lync Server
    * Microsoft Office Communications Server (OCS 2007/2007 R2)
    * Microsoft Live Communications Server (LCS 2003/2005)
    * Reuters Messaging

With this plugin you should be able to replace your Microsoft Office
Communicator client with Pidgin.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--with-krb5 \
	--enable-purple \
	--disable-telepathy
%make

%check
%make check

%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete

# Pidgin doesn't have 24 or 32 pixel icons
rm -f \
   %{buildroot}%{_datadir}/pixmaps/pidgin/protocols/24/sipe.png \
   %{buildroot}%{_datadir}/pixmaps/pidgin/protocols/32/sipe.png

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_libdir}/purple-2/*.so
%{_datadir}/pixmaps/pidgin/protocols/*/sipe.*


%changelog
* Wed Sep 23 2015 daviddavid <daviddavid> 1.18.3-4.1.mga5
+ Revision: 882412
- add upstream patch to fix Office365 users authentication failure (mga#16809)
  * http://sourceforge.net/p/sipe/bugs/285/

* Sat Feb 07 2015 daviddavid <daviddavid> 1.18.3-4.mga5
+ Revision: 813942
- add missing BuildRequires on libgadu (fix build failure)
- add missing BuildRequires on gmime-2.6
- switch BuildRequires to pkgconfig()
- use %%configure2_5x macro from Mageia
- add documentations on files section

* Wed Oct 15 2014 umeabot <umeabot> 1.18.3-3.mga5
+ Revision: 744175
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.18.3-2.mga5
+ Revision: 687592
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 dams <dams> 1.18.3-1.mga5
+ Revision: 664851
- new version 1.18.3

* Wed Jul 02 2014 dams <dams> 1.18.2-1.mga5
+ Revision: 642042
- new version 1.18.2

* Mon Apr 28 2014 dams <dams> 1.18.1-1.mga5
+ Revision: 618647
- new version 1.18.1

* Tue Feb 04 2014 dams <dams> 1.18.0-1.mga5
+ Revision: 580779
- new version 1.18.0

* Mon Dec 23 2013 dams <dams> 1.17.3-1.mga4
+ Revision: 560063
- new version 1.17.3

* Thu Nov 28 2013 dams <dams> 1.17.1-1.mga4
+ Revision: 553857
- new version 1.17.1

* Sat Oct 19 2013 umeabot <umeabot> 1.17.0-2.mga4
+ Revision: 536205
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 dams <dams> 1.17.0-1.mga4
+ Revision: 483670
- new version 1.17.0

* Mon Jul 15 2013 dams <dams> 1.16.1-1.mga4
+ Revision: 454537
- new version 1.16.1

* Sun Jun 16 2013 dams <dams> 1.16.0-1.mga4
+ Revision: 443823
- new version 1.16.0

* Tue Apr 09 2013 dams <dams> 1.15.1-1.mga3
+ Revision: 409161
- new version 1.15.1

* Mon Mar 11 2013 dams <dams> 1.15.0-1.mga3
+ Revision: 402100
- new version 1.5.0

* Sun Jan 13 2013 umeabot <umeabot> 1.14.1-2.mga3
+ Revision: 377739
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 dams <dams> 1.14.1-1.mga3
+ Revision: 337878
- new version 1.14.1

* Mon Dec 17 2012 dams <dams> 1.14.0-1.mga3
+ Revision: 332221
- new version 1.14.0
- add %%check to specfile

* Thu Aug 30 2012 dams <dams> 1.13.3-1.mga3
+ Revision: 285790
- new version 1.13.3

* Wed Jun 27 2012 dams <dams> 1.13.2-1.mga3
+ Revision: 264413
- new version 1.13.2

* Wed Apr 25 2012 dams <dams> 1.13.1-1.mga2
+ Revision: 233253
- new version 1.13.1

* Wed Mar 28 2012 dams <dams> 1.13.0-1.mga2
+ Revision: 227281
- new version 1.13.0
- remove unneeded patch (merged upstream)
- add nss-devel as BR

* Mon Jan 09 2012 dams <dams> 1.12.0-2.mga2
+ Revision: 194039
- add libnice as BR to enable audio/video

* Mon Jan 09 2012 dams <dams> 1.12.0-1.mga2
+ Revision: 194028
- add patch to replace deprecated glib2 functions (from fedora)
- do not libtoolize as weird things happen for some reason
- new version 1.12.0
- clean and update specfile
- imported package pidgin-sipe


* Thu Apr 15 2010 Buchan Milne <bgmilne@mandriva.org> 1.10.0-1mdv2010.1
+ Revision: 535059
- Update to 1.10.0
- Disable telepathy support for now (requires newere gmime)

* Tue Apr 06 2010 Buchan Milne <bgmilne@mandriva.org> 1.9.1-1mdv2010.1
+ Revision: 532014
- New version 1.9.1
- dont libtoolize, weird things happen for some reason

* Tue Oct 27 2009 Buchan Milne <bgmilne@mandriva.org> 1.7.0-1mdv2010.0
+ Revision: 459489
- Add pidgin-sipe spec and source

  + Bruno Cornec <bcornec@mandriva.org>
    - create pidgin-sipe

